package com.pcloud.book.group.dto;

import java.io.Serializable;

/**
 * @author lily
 * @date 2019/4/2 15:33
 */
public class ChangeGroupNameDTO implements Serializable {

    /**
     * 群二维码标识
     */
    private Long id;

    /**
     * 群名称
     */
    private String wxGroupName;

    /**
     * 群微信标识
     */
    private String wxGroupId;

    /**
     * 群二维码
     */
    private String url;

    /**
     * 请求地址
     */
    private String requestUrl;

    /**
     * 机器人微信标识
     */
    private String robotWxId;

    public String getRequestUrl() {
        return requestUrl;
    }

    public void setRequestUrl(String requestUrl) {
        this.requestUrl = requestUrl;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getWxGroupName() {
        return wxGroupName;
    }

    public void setWxGroupName(String wxGroupName) {
        this.wxGroupName = wxGroupName;
    }

    public String getWxGroupId() {
        return wxGroupId;
    }

    public void setWxGroupId(String wxGroupId) {
        this.wxGroupId = wxGroupId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getRobotWxId() {
        return robotWxId;
    }

    public void setRobotWxId(String robotWxId) {
        this.robotWxId = robotWxId;
    }

    @Override
    public String toString() {
        return "ChangeGroupNameDTO{" +
                "id=" + id +
                ", wxGroupName='" + wxGroupName + '\'' +
                ", wxGroupId='" + wxGroupId + '\'' +
                ", url='" + url + '\'' +
                ", requestUrl='" + requestUrl + '\'' +
                ", robotWxId='" + robotWxId + '\'' +
                '}';
    }
}
